Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.soap
Class SOAPFaultException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.xml.rpc.soap.SOAPFaultException

All Implemented Interfaces:
  java.io.Serializable

public class SOAPFaultException
extends java.lang.RuntimeException

The `SOAPFaultException` exception represents a SOAP fault.

The message part in the SOAP fault maps to the contents of `faultdetail` element accessible through the `getDetail` method on the `SOAPFaultException`. The method `createDetail` on the `javax.xml.soap.SOAPFactory` creates an instance of the `javax.xml.soap.Detail`.

The `faultstring` provides a human-readable description of the SOAP fault. The `faultcode` element provides an algorithmic mapping of the SOAP fault.

Refer to SOAP 1.1 and WSDL 1.1 specifications for more details of the SOAP faults.

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`SOAPFaultException(QName faultcode, java.lang.String faultstring, java.lang.String faultactor, Detail detail)` Constructor for SOAPFaultException

Method Summary
`Detail` | `getDetail()` Gets the detail element.
`java.lang.String` | `getFaultActor()` Gets the `faultactor` element.
`QName` | `getFaultCode()` Gets the `faultcode` element.
`java.lang.String` | `getFaultString()` Gets the `faultstring` element.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOAPFaultException

    public SOAPFaultException(QName faultcode,
                              java.lang.String faultstring,
                              java.lang.String faultactor,
                              Detail detail)

  Constructor for SOAPFaultException

  Parameters:
    `faultcode` - `QName` for the SOAP faultcode
    `faultstring` - `faultstring` element of SOAP fault
    `faultactor` - `faultactor` element of SOAP fault
    `detail` - `faultdetail` element of SOAP fault

Method Detail

### getFaultCode

    public QName getFaultCode()

  Gets the `faultcode` element. The `faultcode` element provides an algorithmic mechanism for identifying the fault. SOAP defines a small set of SOAP fault codes covering basic SOAP faults.
  Returns:
    QName of the faultcode element

### getFaultString

    public java.lang.String getFaultString()

  Gets the `faultstring` element. The faultstring provides a human-readable description of the SOAP fault and is not intended for algorithmic processing.
  Returns:
    `faultstring` element of the SOAP fault

### getFaultActor

    public java.lang.String getFaultActor()

  Gets the `faultactor` element. The `faultactor` element provides information about which SOAP node on the SOAP message path caused the fault to happen. It indicates the source of the fault.
  Returns:
    `faultactor` element of the SOAP fault

### getDetail

    public Detail getDetail()

  Gets the detail element. The detail element is intended for carrying application specific error information related to the SOAP Body.
  Returns:
    `detail` element of the SOAP fault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.